OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
oms::ComponentFMUME Class Reference

`#include <ComponentFMUME.h>`

Inheritance diagram for oms::ComponentFMUME:
[legend]
Collaboration diagram for oms::ComponentFMUME:
[legend]

## Public Member Functions
| ~ComponentFMUME ()
const FMUInfo * | getFMUInfo () const
oms_status_enu_t | exportToSSD (pugi::xml_node &node, Snapshot &snapshot, std::string variantName) const
oms_status_enu_t | exportToSSV (pugi::xml_node &ssvNode)
void | getFilteredUnitDefinitionsToSSD (std::map< std::string, std::map< std::string, std::string > > &unitDefinitions)
void | getFilteredEnumerationDefinitionsToSSD (std::map< std::string, std::map< std::string, std::string > > &enumerationDefinitions)
oms_status_enu_t | exportToSSVTemplate (pugi::xml_node &ssvNode, Snapshot &snapshot)
oms_status_enu_t | exportToSSMTemplate (pugi::xml_node &ssmNode)
oms_status_enu_t | instantiate ()
oms_status_enu_t | initialize ()
oms_status_enu_t | terminate ()
oms_status_enu_t | reset ()
oms_status_enu_t | initializeDependencyGraph_initialUnknowns ()
oms_status_enu_t | initializeDependencyGraph_outputs ()
Variable * | getVariable (const ComRef &cref)
Values & | getValues ()
oms_status_enu_t | setValuesResources (Values &values)
oms_status_enu_t | getBoolean (const ComRef &cref, bool &value)
oms_status_enu_t | getBoolean (const fmi2ValueReference &vr, bool &value)
oms_status_enu_t | getInteger (const ComRef &cref, int &value)
oms_status_enu_t | getInteger (const fmi2ValueReference &vr, int &value)
oms_status_enu_t | getReal (const ComRef &cref, double &value)
oms_status_enu_t | getReal (const fmi2ValueReference &vr, double &value)
oms_status_enu_t | getString (const ComRef &cref, std::string &value)
oms_status_enu_t | getString (const fmi2ValueReference &vr, std::string &value)
oms_status_enu_t | setBoolean (const ComRef &cref, bool value)
oms_status_enu_t | setInteger (const ComRef &cref, int value)
oms_status_enu_t | setReal (const ComRef &cref, double value)
oms_status_enu_t | setString (const ComRef &cref, const std::string &value)
oms_status_enu_t | setUnit (const ComRef &cref, const std::string &value)
oms_status_enu_t | setTime (double time)
oms_status_enu_t | getDirectionalDerivative (const ComRef &unknownCref, const ComRef &knownCref, double &value)
oms_status_enu_t | getDirectionalDerivativeHeper (const int unknownIndex, const int knownIndex, const std::vector< int > &dependencyList, double &value)
oms_status_enu_t | deleteStartValue (const ComRef &cref)
oms_status_enu_t | updateOrDeleteStartValueInReplacedComponent (std::vector< std::string > &warningList)
oms_status_enu_t | registerSignalsForResultFile (ResultWriter &resultFile)
oms_status_enu_t | updateSignals (ResultWriter &resultWriter)
oms_status_enu_t | addSignalsToResults (const char *regex)
oms_status_enu_t | removeSignalsFromResults (const char *regex)
oms_status_enu_t | doEventIteration ()
size_t | getNumberOfContinuousStates () const
size_t | getNumberOfEventIndicators () const
oms_status_enu_t | getContinuousStates (double *states)
oms_status_enu_t | setContinuousStates (double *states)
oms_status_enu_t | getDerivatives (double *derivatives)
oms_status_enu_t | getNominalsOfContinuousStates (double *nominals)
oms_status_enu_t | getEventindicators (double *eventindicators)
oms_status_enu_t | getEventindicators (double *eventindicators, size_t size)
oms_status_enu_t | completedIntegratorStep (bool noSetFMUStatePriorToCurrentPoint, bool &enterEventMode, bool &terminateSimulation)
oms_status_enu_t | enterEventMode ()
oms_status_enu_t | enterContinuousTimeMode ()
fmiHandle * | getFMU ()
fmi2EventInfo * | getEventInfo ()
bool | getCanGetAndSetState ()
void | getFilteredSignals (std::vector< Connector > &filteredSignals) const
oms_status_enu_t | newResources (const std::string &ssvFilename, const std::string &ssmFilename, bool externalResources)
oms_status_enu_t | setResourcesHelper1 (Values value)
oms_status_enu_t | setResourcesHelper2 (Values value)
oms_status_enu_t | setExportName (const std::string &exportName)
std::string | getExportName () const
oms_status_enu_t | deleteReferencesInSSD (const std::string &filename)
oms_status_enu_t | deleteResourcesInSSP (const std::string &filename)
bool | getNewDiscreteStatesNeeded ()
bool | getTerminateSimulation ()
bool | getNominalsOfContinuousStatesChanged ()
bool | getValuesOfContinuousStatesChanged ()
bool | getNextEventTimeDefined ()
double | getNextEventTime ()
Public Member Functions inherited from oms::Component
virtual | ~Component ()
virtual oms_status_enu_t | getVariableType (const ComRef &cref, oms_signal_type_enu_t &type)
virtual std::vector< Values > | getValuesResources ()
virtual oms_status_enu_t | freeState ()
virtual oms_status_enu_t | getRealOutputDerivative (const ComRef &cref, SignalDerivative &der)
virtual oms_status_enu_t | restoreState ()
virtual oms_status_enu_t | saveState ()
virtual oms_status_enu_t | setRealInputDerivative (const ComRef &cref, const SignalDerivative &der)
virtual oms_status_enu_t | stepUntil (double stopTime)
virtual oms_status_enu_t | addResources (std::string &filename)
const ComRef & | getCref () const
ComRef | getFullCref () const
Element * | getElement ()
Connector * | getConnector (const ComRef &cref)
Connector ** | getConnectors ()
oms_status_enu_t | deleteConnector (const ComRef &cref)
void | getAllResources (std::vector< std::string > &resources) const
const std::string & | getPath () const
const std::string & | getTempDir () const
void | setPath (const std::string &newPath)
void | setTempDir (const std::string &tempDir)
oms_component_enu_t | getType () const
System * | getParentSystem () const
Model & | getModel () const
void | setGeometry (const ssd::ElementGeometry &geometry)
const DirectedGraph & | getInitialUnknownsGraph ()
const DirectedGraph & | getOutputsGraph ()
oms_status_enu_t | rename (const ComRef &newCref)
| rename submodules, e.g., fmu:s

## Static Public Member Functions
static Component * | NewComponent (const oms::ComRef &cref, System *parentSystem, const std::string &fmuPath, std::string replaceComponent="")
static Component * | NewComponent (const pugi::xml_node &node, System *parentSystem, const std::string &sspVersion, const Snapshot &snapshot, std::string variantName)

## Protected Member Functions
| ComponentFMUME (const ComRef &cref, System *parentSystem, const std::string &fmuPath)
| ComponentFMUME (ComponentFMUME const &copy)
| not implemented
ComponentFMUME & | operator= (ComponentFMUME const &copy)
| not implemented
oms_status_enu_t | renameValues (const ComRef &oldCref, const ComRef &newCref)
void | dumpInitialUnknowns ()
Protected Member Functions inherited from oms::Component
| Component (const ComRef &cref, oms_component_enu_t type, System *parentSystem, const std::string &path)
| Component (Component const &)
| not implemented
Component & | operator= (Component const &)
| not implemented

## Private Member Functions
oms::ComRef | getValidCref (ComRef cref)

## Private Attributes
fmi2CallbackLogger | omsfmi2logger
fmiHandle * | fmu = NULL
fmi2EventInfo | eventInfo
size_t | nEventIndicators
FMUInfo | fmuInfo
std::vector< Variable > | allVariables
std::vector< unsigned int > | calculatedParameters
std::vector< unsigned int > | derivatives
std::vector< unsigned int > | inputs
std::vector< unsigned int > | outputs
std::vector< unsigned int > | parameters
std::vector< bool > | exportVariables
std::string | exportName
| export name of the FMU, used for the result file
Values | values
| start values defined before instantiating the FMU and external inputs defined after initialization
std::unordered_map< unsigned int, unsigned int > | resultFileMapping

## Additional Inherited Members
Protected Attributes inherited from oms::Component
DirectedGraph | initialUnknownsGraph
DirectedGraph | outputsGraph
Element | element
std::vector< Connector * > | connectors
Clock | clock
unsigned int | clock_id

## Constructor & Destructor Documentation

## ◆ ~ComponentFMUME()

oms::ComponentFMUME::~ComponentFMUME | ( |  | ) |

## ◆ ComponentFMUME() [1/2]

oms::ComponentFMUME::ComponentFMUME | ( | const ComRef & | cref,
|  | System * | parentSystem,
|  | const std::string & | fmuPath
| ) |  |
| protected

## ◆ ComponentFMUME() [2/2]

oms::ComponentFMUME::ComponentFMUME | ( | ComponentFMUME const & | copy | ) |
| protected

not implemented

## Member Function Documentation

## ◆ addSignalsToResults()

oms_status_enu_t oms::ComponentFMUME::addSignalsToResults | ( | const char * | regex | ) |
| virtual

Implements oms::Component.

## ◆ completedIntegratorStep()

oms_status_enu_t oms::ComponentFMUME::completedIntegratorStep | ( | bool | noSetFMUStatePriorToCurrentPoint,
|  | bool & | enterEventMode,
|  | bool & | terminateSimulation
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ deleteReferencesInSSD()

oms_status_enu_t oms::ComponentFMUME::deleteReferencesInSSD | ( | const std::string & | filename | ) |
| virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ deleteResourcesInSSP()

oms_status_enu_t oms::ComponentFMUME::deleteResourcesInSSP | ( | const std::string & | filename | ) |
| virtual

Reimplemented from oms::Component.

## ◆ deleteStartValue()

oms_status_enu_t oms::ComponentFMUME::deleteStartValue | ( | const ComRef & | cref | ) |
| virtual

Reimplemented from oms::Component.

## ◆ doEventIteration()

oms_status_enu_t oms::ComponentFMUME::doEventIteration | ( |  | ) |
| virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ dumpInitialUnknowns()

void oms::ComponentFMUME::dumpInitialUnknowns | ( |  | ) |
| protected

## ◆ enterContinuousTimeMode()

oms_status_enu_t oms::ComponentFMUME::enterContinuousTimeMode | ( |  | ) |
| virtual

Reimplemented from oms::Component.

## ◆ enterEventMode()

oms_status_enu_t oms::ComponentFMUME::enterEventMode | ( |  | ) |
| virtual

Reimplemented from oms::Component.

## ◆ exportToSSD()

oms_status_enu_t oms::ComponentFMUME::exportToSSD | ( | pugi::xml_node & | node,
|  | Snapshot & | snapshot,
|  | std::string | variantName
| ) |  | const
| virtual

Implements oms::Component.

## ◆ exportToSSMTemplate()

oms_status_enu_t oms::ComponentFMUME::exportToSSMTemplate | ( | pugi::xml_node & | ssmNode | ) |
| virtual

Reimplemented from oms::Component.

## ◆ exportToSSV()

oms_status_enu_t oms::ComponentFMUME::exportToSSV | ( | pugi::xml_node & | ssvNode | ) |
| virtual

Reimplemented from oms::Component.

## ◆ exportToSSVTemplate()

oms_status_enu_t oms::ComponentFMUME::exportToSSVTemplate | ( | pugi::xml_node & | ssvNode,
|  | Snapshot & | snapshot
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getBoolean() [1/2]

oms_status_enu_t oms::ComponentFMUME::getBoolean | ( | const ComRef & | cref,
|  | bool & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getBoolean() [2/2]

oms_status_enu_t oms::ComponentFMUME::getBoolean | ( | const fmi2ValueReference & | vr,
|  | bool & | value
| ) |  |

## ◆ getCanGetAndSetState()

bool oms::ComponentFMUME::getCanGetAndSetState | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ getContinuousStates()

oms_status_enu_t oms::ComponentFMUME::getContinuousStates | ( | double * | states | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getDerivatives()

oms_status_enu_t oms::ComponentFMUME::getDerivatives | ( | double * | derivatives | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getDirectionalDerivative()

oms_status_enu_t oms::ComponentFMUME::getDirectionalDerivative | ( | const ComRef & | unknownCref,
|  | const ComRef & | knownCref,
|  | double & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ getDirectionalDerivativeHeper()

oms_status_enu_t oms::ComponentFMUME::getDirectionalDerivativeHeper | ( | const int | unknownIndex,
|  | const int | knownIndex,
|  | const std::vector< int > & | dependencyList,
|  | double & | value
| ) |  |

## ◆ getEventindicators() [1/2]

oms_status_enu_t oms::ComponentFMUME::getEventindicators | ( | double * | eventindicators | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getEventindicators() [2/2]

oms_status_enu_t oms::ComponentFMUME::getEventindicators | ( | double * | eventindicators,
|  | size_t | size
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getEventInfo()

fmi2EventInfo * oms::ComponentFMUME::getEventInfo | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getExportName()

std::string oms::ComponentFMUME::getExportName | ( |  | ) | const
| inline

## ◆ getFilteredEnumerationDefinitionsToSSD()

void oms::ComponentFMUME::getFilteredEnumerationDefinitionsToSSD | ( | std::map< std::string, std::map< std::string, std::string > > & | enumerationDefinitions | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getFilteredSignals()

void oms::ComponentFMUME::getFilteredSignals | ( | std::vector< Connector > & | filteredSignals | ) | const
| virtual

Implements oms::Component.

## ◆ getFilteredUnitDefinitionsToSSD()

void oms::ComponentFMUME::getFilteredUnitDefinitionsToSSD | ( | std::map< std::string, std::map< std::string, std::string > > & | unitDefinitions | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getFMU()

fmiHandle * oms::ComponentFMUME::getFMU | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getFMUInfo()

const FMUInfo * oms::ComponentFMUME::getFMUInfo | ( |  | ) | const
| inline virtual

Reimplemented from oms::Component.

Here is the caller graph for this function:

## ◆ getInteger() [1/2]

oms_status_enu_t oms::ComponentFMUME::getInteger | ( | const ComRef & | cref,
|  | int & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getInteger() [2/2]

oms_status_enu_t oms::ComponentFMUME::getInteger | ( | const fmi2ValueReference & | vr,
|  | int & | value
| ) |  |

## ◆ getNewDiscreteStatesNeeded()

bool oms::ComponentFMUME::getNewDiscreteStatesNeeded | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getNextEventTime()

double oms::ComponentFMUME::getNextEventTime | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getNextEventTimeDefined()

bool oms::ComponentFMUME::getNextEventTimeDefined | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getNominalsOfContinuousStates()

oms_status_enu_t oms::ComponentFMUME::getNominalsOfContinuousStates | ( | double * | nominals | ) |
| virtual

Reimplemented from oms::Component.

## ◆ getNominalsOfContinuousStatesChanged()

bool oms::ComponentFMUME::getNominalsOfContinuousStatesChanged | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getNumberOfContinuousStates()

size_t oms::ComponentFMUME::getNumberOfContinuousStates | ( |  | ) | const
| inline virtual

Reimplemented from oms::Component.

## ◆ getNumberOfEventIndicators()

size_t oms::ComponentFMUME::getNumberOfEventIndicators | ( |  | ) | const
| inline virtual

Reimplemented from oms::Component.

## ◆ getReal() [1/2]

oms_status_enu_t oms::ComponentFMUME::getReal | ( | const ComRef & | cref,
|  | double & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getReal() [2/2]

oms_status_enu_t oms::ComponentFMUME::getReal | ( | const fmi2ValueReference & | vr,
|  | double & | value
| ) |  |

## ◆ getString() [1/2]

oms_status_enu_t oms::ComponentFMUME::getString | ( | const ComRef & | cref,
|  | std::string & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ getString() [2/2]

oms_status_enu_t oms::ComponentFMUME::getString | ( | const fmi2ValueReference & | vr,
|  | std::string & | value
| ) |  |

## ◆ getTerminateSimulation()

bool oms::ComponentFMUME::getTerminateSimulation | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getValidCref()

oms::ComRef oms::ComponentFMUME::getValidCref | ( | ComRef | cref | ) |
| private

Here is the call graph for this function:

## ◆ getValues()

Values & oms::ComponentFMUME::getValues | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getValuesOfContinuousStatesChanged()

bool oms::ComponentFMUME::getValuesOfContinuousStatesChanged | ( |  | ) |
| inline virtual

Reimplemented from oms::Component.

## ◆ getVariable()

oms::Variable * oms::ComponentFMUME::getVariable | ( | const ComRef & | cref | ) |
| virtual

Implements oms::Component.

## ◆ initialize()

oms_status_enu_t oms::ComponentFMUME::initialize | ( |  | ) |
| virtual

Implements oms::Component.

## ◆ initializeDependencyGraph_initialUnknowns()

oms_status_enu_t oms::ComponentFMUME::initializeDependencyGraph_initialUnknowns | ( |  | ) |

Here is the call graph for this function:

## ◆ initializeDependencyGraph_outputs()

oms_status_enu_t oms::ComponentFMUME::initializeDependencyGraph_outputs | ( |  | ) |

Here is the call graph for this function:

## ◆ instantiate()

oms_status_enu_t oms::ComponentFMUME::instantiate | ( |  | ) |
| virtual

Implements oms::Component.

## ◆ NewComponent() [1/2]

oms::Component * oms::ComponentFMUME::NewComponent | ( | const oms::ComRef & | cref,
|  | oms::System * | parentSystem,
|  | const std::string & | fmuPath,
|  | std::string | replaceComponent = `""`
| ) |  |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ NewComponent() [2/2]

oms::Component * oms::ComponentFMUME::NewComponent | ( | const pugi::xml_node & | node,
|  | oms::System * | parentSystem,
|  | const std::string & | sspVersion,
|  | const Snapshot & | snapshot,
|  | std::string | variantName
| ) |  |
| static

Here is the call graph for this function:

## ◆ newResources()

oms_status_enu_t oms::ComponentFMUME::newResources | ( | const std::string & | ssvFilename,
|  | const std::string & | ssmFilename,
|  | bool | externalResources
| ) |  |
| virtual

Reimplemented from oms::Component.

Here is the call graph for this function:

## ◆ operator=()

ComponentFMUME & oms::ComponentFMUME::operator= | ( | ComponentFMUME const & | copy | ) |
| protected

not implemented

## ◆ registerSignalsForResultFile()

oms_status_enu_t oms::ComponentFMUME::registerSignalsForResultFile | ( | ResultWriter & | resultFile | ) |
| virtual

Implements oms::Component.

Here is the call graph for this function:

## ◆ removeSignalsFromResults()

oms_status_enu_t oms::ComponentFMUME::removeSignalsFromResults | ( | const char * | regex | ) |
| virtual

Implements oms::Component.

## ◆ renameValues()

oms_status_enu_t oms::ComponentFMUME::renameValues | ( | const ComRef & | oldCref,
|  | const ComRef & | newCref
| ) |  |
| protected virtual

Reimplemented from oms::Component.

## ◆ reset()

oms_status_enu_t oms::ComponentFMUME::reset | ( |  | ) |
| virtual

Implements oms::Component.

## ◆ setBoolean()

oms_status_enu_t oms::ComponentFMUME::setBoolean | ( | const ComRef & | cref,
|  | bool | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ setContinuousStates()

oms_status_enu_t oms::ComponentFMUME::setContinuousStates | ( | double * | states | ) |
| virtual

Reimplemented from oms::Component.

## ◆ setExportName()

oms_status_enu_t oms::ComponentFMUME::setExportName | ( | const std::string & | exportName | ) |
| virtual

Reimplemented from oms::Component.

## ◆ setInteger()

oms_status_enu_t oms::ComponentFMUME::setInteger | ( | const ComRef & | cref,
|  | int | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ setReal()

oms_status_enu_t oms::ComponentFMUME::setReal | ( | const ComRef & | cref,
|  | double | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ setResourcesHelper1()

oms_status_enu_t oms::ComponentFMUME::setResourcesHelper1 | ( | Values | value | ) |

## ◆ setResourcesHelper2()

oms_status_enu_t oms::ComponentFMUME::setResourcesHelper2 | ( | Values | value | ) |

Here is the call graph for this function:

## ◆ setString()

oms_status_enu_t oms::ComponentFMUME::setString | ( | const ComRef & | cref,
|  | const std::string & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ setTime()

oms_status_enu_t oms::ComponentFMUME::setTime | ( | double | time | ) |
| virtual

Reimplemented from oms::Component.

## ◆ setUnit()

oms_status_enu_t oms::ComponentFMUME::setUnit | ( | const ComRef & | cref,
|  | const std::string & | value
| ) |  |
| virtual

Reimplemented from oms::Component.

## ◆ setValuesResources()

oms_status_enu_t oms::ComponentFMUME::setValuesResources | ( | Values & | values | ) |
| virtual

Reimplemented from oms::Component.

## ◆ terminate()

oms_status_enu_t oms::ComponentFMUME::terminate | ( |  | ) |
| virtual

Implements oms::Component.

## ◆ updateOrDeleteStartValueInReplacedComponent()

oms_status_enu_t oms::ComponentFMUME::updateOrDeleteStartValueInReplacedComponent | ( | std::vector< std::string > & | warningList | ) |
| virtual

Reimplemented from oms::Component.

## ◆ updateSignals()

oms_status_enu_t oms::ComponentFMUME::updateSignals | ( | ResultWriter & | resultWriter | ) |
| virtual

Implements oms::Component.

Here is the call graph for this function:

## Member Data Documentation

## ◆ allVariables

std::vector<Variable> oms::ComponentFMUME::allVariables
| private

## ◆ calculatedParameters

std::vector<unsigned int> oms::ComponentFMUME::calculatedParameters
| private

## ◆ derivatives

std::vector<unsigned int> oms::ComponentFMUME::derivatives
| private

## ◆ eventInfo

fmi2EventInfo oms::ComponentFMUME::eventInfo
| private

## ◆ exportName

std::string oms::ComponentFMUME::exportName
| private

export name of the FMU, used for the result file

## ◆ exportVariables

std::vector<bool> oms::ComponentFMUME::exportVariables
| private

## ◆ fmu

fmiHandle* oms::ComponentFMUME::fmu = NULL
| private

## ◆ fmuInfo

FMUInfo oms::ComponentFMUME::fmuInfo
| private

## ◆ inputs

std::vector<unsigned int> oms::ComponentFMUME::inputs
| private

## ◆ nEventIndicators

size_t oms::ComponentFMUME::nEventIndicators
| private

## ◆ omsfmi2logger

fmi2CallbackLogger oms::ComponentFMUME::omsfmi2logger
| private

## ◆ outputs

std::vector<unsigned int> oms::ComponentFMUME::outputs
| private

## ◆ parameters

std::vector<unsigned int> oms::ComponentFMUME::parameters
| private

## ◆ resultFileMapping

std::unordered_map<unsigned int , unsigned int > oms::ComponentFMUME::resultFileMapping
| private

## ◆ values

Values oms::ComponentFMUME::values
| private

start values defined before instantiating the FMU and external inputs defined after initialization

The documentation for this class was generated from the following files:

- /var/lib/jenkins/ws/OMSimulator_PR-1619/src/OMSimulatorLib/ComponentFMUME.h
- /var/lib/jenkins/ws/OMSimulator_PR-1619/src/OMSimulatorLib/ComponentFMUME.cpp